cacti -- missing input sanitising

2007-01-17T00:00:00
ID DSA-1250
Type debian
Reporter Debian
Modified 2007-01-17T00:00:00

Description

It was discovered that cacti, a frontend to rrdtool, performs insufficient validation of data passed to the cmd script, which allows SQL injection and the execution of arbitrary shell commands.

For the stable distribution (sarge) this problem has been fixed in version 0.8.6c-7sarge4.

For the upcoming stable distribution (etch) this problem has been fixed in version 0.8.6i-3.

For the unstable distribution (sid) this problem has been fixed in version 0.8.6i-3.

We recommend that you upgrade your cacti package.